ChangeSet 1.1673.8.62, 2004/03/31 13:09:56-08:00, stern@rowland.harvard.edu

[PATCH] USB Gadget: Rename the dummy_hcd's gadget

When David added an entry to the gadget_chips.h file for the dummy_hcd
driver, he mistakenly used the name "dummy_udc" rather than "dummy_hcd".
The mistake is understandable, since other controllers use "_udc" in their
names and it is illogical to put "_hcd" in a _device_ controller's name.

This patch updates the dummy_hcd driver and changes the gadget name to
agree with the gadget_chips.h entry.


 drivers/usb/gadget/dummy_hcd.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)


diff -Nru a/drivers/usb/gadget/dummy_hcd.c b/drivers/usb/gadget/dummy_hcd.c
--- a/drivers/usb/gadget/dummy_hcd.c	Wed Apr 14 14:34:51 2004
+++ b/drivers/usb/gadget/dummy_hcd.c	Wed Apr 14 14:34:51 2004
@@ -70,6 +70,8 @@
 static const char	driver_name [] = "dummy_hcd";
 static const char	driver_desc [] = "USB Host+Gadget Emulator";
 
+static const char	gadget_name [] = "dummy_udc";
+
 MODULE_DESCRIPTION (DRIVER_DESC);
 MODULE_AUTHOR ("David Brownell");
 MODULE_LICENSE ("GPL");
@@ -647,7 +649,7 @@
 	 * SLAVE side init ... the layer above hardware, which
 	 * can't enumerate without help from the driver we're binding.
 	 */
-	dum->gadget.name = driver_name;
+	dum->gadget.name = gadget_name;
 	dum->gadget.ops = &dummy_ops;
 	dum->gadget.is_dualspeed = 1;
 
